diff options
author | David Oberhollenzer <david.oberhollenzer@sigma-star.at> | 2016-07-13 16:10:28 +0200 |
---|---|---|
committer | David Oberhollenzer <david.oberhollenzer@sigma-star.at> | 2016-11-17 11:36:55 +0100 |
commit | 8a00021b2ab5529640e5acaca30a27cdaca04178 (patch) | |
tree | 0944317c3e431143eedca84429348334a725e716 /tests/ubi-tests/runtests.sh | |
parent | d39ea7019cb204420c53a203ff9ccbb4cab0d4b3 (diff) |
Integrate tests into autotools build system
Add automake files for the test binaries. If configured to do so,
install the test binaries to libexec/mtd-utils and use autoconf to
fix the paths in the test scripts.
Signed-off-by: David Oberhollenzer <david.oberhollenzer@sigma-star.at>
Signed-off-by: Richard Weinberger <richard@nod.at>
Diffstat (limited to 'tests/ubi-tests/runtests.sh')
-rwxr-xr-x | tests/ubi-tests/runtests.sh | 36 |
1 files changed, 0 insertions, 36 deletions
diff --git a/tests/ubi-tests/runtests.sh b/tests/ubi-tests/runtests.sh deleted file mode 100755 index 539ef9d..0000000 --- a/tests/ubi-tests/runtests.sh +++ /dev/null @@ -1,36 +0,0 @@ -#!/bin/sh -euf - -tests="mkvol_basic mkvol_bad mkvol_paral rsvol io_basic io_read io_update io_paral volrefcnt" - -fatal() -{ - echo "Error: $1" 1>&2 - echo "FAILURE" - exit 1 -} - -usage() -{ - cat 1>&2 <<EOF -Run all UBI tests for on an UBI device. -Usage: - ${0##*/} <UBI device node> -Example: - ${0##*/} /dev/ubi1 - test /dev/ubi1. -EOF -} - -if [ "$#" -lt 1 ]; then - usage - exit 1 -fi - -ubidev="$1" -[ -c "$ubidev" ] || fatal "$ubidev is not character device" - -for t in $tests; do - echo "Running $t $ubidev" - "./$t" "$ubidev" || fatal "$t failed" -done - -echo "SUCCESS" |